; GOLDSTEIN,GOLUB, KESSLER & CO. 
;ͻ
;  SCRIPT NAME : SLIDES   - Automatic Slide Show using forms          
;ͼ
;  by Elliot Reiter    DATE : 04/29/90   TIME : 09:00am 
;ͻ
;                                                                     
;        This script illustrates the use of "Script Data".  The       
;        data is stored in the table "Slides".                        
;                                                                     
;        This script contains source code for Paradox3.  It was       
;        written by:                                                  
;                                                                     
;                   Elliot B. Reiter                                  
;                   Goldstein, Golub, Kessler and Company             
;                   1185 Avenue of the Americas                       
;                   New York, NY  10036-2602                          
;                   (212) 523-1325                                    
;                                                                     
;        This source code is intended for use at the International    
;        Paradox User's Conference.  Permission to use this source    
;        code is granted by the author.                               
;                                                                     
;ͼ

;ͻ
;                                                                     
;     HERE IS THE SCRIPT                                              
;                                                                     
;ͼ

if (sysmode() <> "Main") then
 Message "The application can only be started from Paradox main mode"
 Sleep 3000
 return
endif

Echo Off
Release Vars All
Release Procs All
Clear
Reset

LastKeyPressed = ""

View "Slides"

SCAN

   If LastKeyPressed = "PgUp"
    then
       Up Up
   Endif
                             ;ͻ
   If [Bypass Slide] = "Y"   ;  If set, we need not go any further.   
     then                    ;ͼ
        Loop
   Endif

                                           ;ͻ
   If NOT Isblank([Startup Script To Run]) ; Is there a Startup Script? 
     then                                  ;ͼ
        Play [Startup Script To Run]
   Endif

                                                    ;ͻ
   If NOT Isblank([Slides->Table Containing Slide]) ; Is there a Slide? 
     then                                           ;ͼ
        View [Slides->Table Containing Slide]
        Pickform [Slides->Which Slide To Show]
        Canvas On
        Wait Table
           Until "PgDn", "PgUp", "Enter", "ESC"
        LastKeyPressed = Retval
        Canvas Off
   Endif

                                                ;ͻ
   If NOT Isblank([Slides->Exit Script To Run]) ; Is there an Exit Script? 
     then                                       ;ͼ
        Play [Slides->Exit Script To Run]
   Endif

   If LastKeyPressed = "ESC"
     then
        Quitloop
   Endif

ENDSCAN

               ;ͻ
ClearImage     ;  Clear "Slides" table.            
               ;ͼ

RETURN

;   E N D   O F   S C R I P T    
